Doomsday Engine - Feature #1575

Support Doom 2 IWAD in "Doom 3 BFG Edition" (including "No Rest for the Living")

2012-10-17 08:56 - vermil

Status: Closed Start date: 2014-07-19
Priority: High % Done: 100%
Assignee: skyjake

Category: 3rd party compatibility

Target version: 2.1 (Late 2018)

Description

Check support for the modified Doom2 lwad in 'Doom3 BFG Edition' commercial release. As it's been modified.

http://www.amazon.co.uk/Doom-3-BFG-Edition-PS3/dp/B00870OTSR2

It can also be found on Steam.

Also, since the BFG Edition includes the previously Xbox exclusive 'No Rest for the Living', I'd like to take the opportunity to request

official support in Dday for it.

Related issues:
Related to Feature #2279: Detect uncensored WADs of BFG edition (including No... Closed
Follows Feature #1836: External map progression, episode and hub definitions Closed

2018-08-20
2014-07-18 2014-07-18

Associated revisions

Revision 120806 - 2017-04-02 13:30 - skyjake
Doom: Added support for Doom I/ll IWADs from the Doom 3: BFG Edition

Added three new games:

- Ultimate DOOM (BFG Edition)

- DOOM 2: Hell on Earth (BFG Edition)

- No Rest for the Living

Todo: Compare with the original versions, apply fine-tuning as needed.
IssuelD #1575

Revision bfad5c63 - 2018-11-18 08:03 - skyjake

Fixed|Doom: Added missing secret exit for MAP33 (BFG Edition)
IssuelD #1575

Revision f9cee51e - 2018-11-25 12:22 - skyjake

Doom: Endgame of No Rest for the Living

IssuelD #1575

History

#1 - 2012-12-17 12:53 - vermil

Indeed, it appears the Doom2 wad included with the BFG edition is derived from the XBLA Iwad rather than the PC wad.

The differences noticed by the community, between PC the Doom2 lwad, so far, are:

* No titlepic lump. Obviously this one will produce a fatal crash in Dday.

e Wolf3D textures with Nazi symbols have been replaced duplicates of textures without Nazi symbols. For instance, the WOLF2 patch lump
featuring Nazi symbols has been removed and the texture definition for ZZWOLF2 that originally pointed at it, has been made to use WOLF1

instead)
e Map31 and 32 have been edited to replace SS Guards with Zombie men.

e The SS Guard sprites have been removed; the SS Guard sounds still exist though.
http://www.amazon.co.uk/Doom-3-BFG-Edition-PS3/dp/B0087OTSR2

e Map31 and 32 have been renamed 'IDKFA' and 'Keen' respectively.

* The secret exit linedef on Map02 is still present. Obviously, without proper coding behind the scences, this will take the player back to the start of
the last level they started from an intermission screen (or Map01 otherwise).

¢ The XBLA exclusive Map33 that the above secret exit line took the player to on said port, is present in the lwad.
e The Med Kit, Stim Pack and Berserk packs have had their sprites altered to remove the Red Crosses and instead feature pill symbols.
¢ A new quit dialog has been added for the BFG edition, for which new lumps have been added to the Ilwad for.

#2 - 2013-10-22 12:51 - skyjake

- Tags set to Doom

- Subject changed from Check support for the modified Doom2 Iwad in 'Doom3 BFG Edition' commercial release to Support Doom 2 IWAD in "Doom 3
BFG Edition"

- Category set to 3rd party compatibility

Sounds like it would make sense to add a new game mode "doom2-bfg" for this purpose.

#3 - 2013-10-22 12:51 - skyjake
- Priority changed from Normal to High

#4 - 2013-10-22 13:03 - vermil
http://doomwiki.org/wiki/Doom_3: BFG_Edition

This page contains a comprehensive list of changes to Doom1 and Doom2 in the BFG Edition versus Vanilla Doom.

Importantly, it should be noted that there are map differences on Map02, Map31 and 32 of Doom2 BFG and that Doom2 BFG also features a Map33,
meaning multiplayer between BFG and non BFG users will run into difficulties.

#5 - 2014-07-17 16:11 - danij

- Follows Feature #1836: External map progression, episode and hub definitions added

#6 - 2016-08-20 14:58 - skyjake
- Due date deleted (2014-07-19)

#7 - 2017-04-02 09:11 - skyjake
- Assignee set to skyjake

- Target version set to 2.1 (Late 2018)

#8 - 2017-04-02 09:12 - skyjake

- Subject changed from Support Doom 2 IWAD in "Doom 3 BFG Edition" to Support Doom 2 IWAD in "Doom 3 BFG Edition" (including "No Rest for
the Living")

#9 - 2017-04-02 13:31 - skyjake

- Status changed from New to Resolved

- % Done changed from 0 to 100

#10 - 2018-08-20 23:46 - skyjake
- Related to Feature #2279: Detect uncensored WADs of BFG edition (including No Rest for the Living) added

#11 - 2018-11-09 12:02 - skyjake

More play testing should be done before this issue is closed.

#12 - 2018-11-18 05:35 - Drako

| did some testing of Doom 2 BFG. | played for about half an hour an noticed only one minor thing. There is a secret exit in MAP02 (see
https://www.youtube.com/watch?v=NH3hMAVCzeQ) which should lead to MAP33 but (in the build winx64 2872) send the player to MAPO3. |
managed to fix that by editing doom2.mapinfo in the following way:

map MAPO2 lookup HUSTR_2
next MAPO3
secretnext MAP33
warptrans 2

sky1 SKY1 0

par 90

music D_STALKS
tittepatch CWILVO1

map MAP33 "Betray"
next MAP03
warptrans 33

sky1 SKY3 0

par 120

music D_READ_M
tittepatch CWILV32

It seems that the above change can be made permanent in doomsday builds, since it should not mess up the standard doom 2 episode.

#13 - 2018-11-18 08:04 - skyjake
Thanks for the MAPINFO update, I've included it in the next build of 2.1.

#14 - 2018-11-19 02:07 - Drako

In fact BFG edition of Doom 2 has names of maps 31 and 32 changed (to "Keen" and "IDKFA"). It seems it will be better to create a separate mapinfo
filie (doom2bfg.mapinfo) containing everything from doom2.mapinfo and with the following changes

map MAPO02 lookup HUSTR_2
next MAP0O3

secretnext MAP33

warptrans 2

sky1 SKY1 0

par 90

music D_STALKS

tittepatch CWILVO1

map MAP31 lookup HUSTR_31b
next MAP16

secretnext MAP32

warptrans 31

sky1 SKY3 0

par 120

music D_EVIL

tittepatch CWILV30

map MAP32 lookup HUSTR_32b
next MAP16

warptrans 32

sky1 SKY3 0

par 30

music D_ULTIMA

tittepatch CWILV31

map MAP33 HUSTR_33
next MAP0O3

warptrans 33

sky1 SKY3 0

par 120

music D_READ_M
tittepatch CWILV32

and add the following definitions to the defs\jJdomm\text.ded file
Text {
ID = "HUSTR_31b";

Text = "Map 31: IDKFA";
}

Text {

2024-04-10 3/4



ID = "HUSTR_32b";
Text = "Map 32: Keen";
}

Text {

ID = "HUSTR_33";

Text = "Map 33: Betray";
}

#15 - 2018-11-19 09:43 - skyjake

Drako wrote:

In fact BFG edition of Doom 2 has names of maps 31 and 32 changed (to "Keen" and "IDKFA"). It seems it will be better to create a separate
mapinfo filie (doom2bfg.mapinfo) containing everything from doom2.mapinfo and with the following changes

I've already recently added such a .mapinfo file:
https://tracker.dengine.net/projects/deng/repository/revisions/bfad5c63f987ac470ae1072fd3890aacebd385f7/entry/doomsday/apps/plugins/doom/data

/doom2-bfg.mapinfo

| can change the names of maps 31 and 32 as well for the BFG edition.

#16 - 2018-11-20 04:59 - Drako

| have created a pull request to incorporate the above changes to master

#17 - 2018-11-20 09:43 - skyjake
Merged.

#18 - 2018-11-24 02:09 - Drako

It seems that the No Rest for the Living finale text should be added somewhere - see C6TEXT from
https://github.com/superna9999/prboom-plus/blob/master/data/lumps/nervebex.Imp

#19 - 2018-11-25 12:26 - skyjake
According to Doom Wiki, the Doom Il endgame comes after map 8, so | added that in addition to the finale text.

#20 - 2018-11-30 05:38 - Drako
In No Rest for the Living before map07 text CITEXT (see file defs\\doom\doom2\finales.ded line 95) from Doom 2 appears. It should not appear.

#21 - 2018-12-01 07:07 - Drako

| have just created a pull request to fix the above.

#22 - 2018-12-01 11:36 - skyjake
Thanks!

#23 - 2018-12-11 19:55 - skyjake

- Status changed from Resolved to Closed
